Tools, FAQ, Tutorials:
Azure AD v2 Sign-On Authentication Request
What is the Azure AD v2.0 Sign-On Authentication Request?
✍: FYIcenter.com
Before deciding which Azure AD v2.0 authentication flow you want to implement
in your Web application, you need to have a good understanding of the
Azure AD v2.0 Sign-on authentication request, which is the first call you
have to make in any authentication flow.
Here is an example of Azure AD v2.0 sign-on authentication request and its parameters:
GET https://login.microsoftonline.com/common/oauth2/v2.0/authorize? client_id=bd51d56c-e744-4a58-91e1-************ &redirect_uri=http%3A%2F%2Ffyicenter.com%3aopenID_receiver.php &scope=openid &response_type=id_token &response_mode=form_post &nonce=xxxxxx &state=yyyyyy &prompt=consent
Here are the parameters you need to provide:
Note that if there is issue with authentication request, Azure AD will display an error page to your end user during the sign-on process.
You can also use the POST method make the Sign-On Authentication Request with all parameters provided in the request body.
⇒ Initiate Azure AD v2 Authentication Request
2021-01-09, ∼2145🔥, 0💬
Popular Posts:
How to use the "find-and-replace" Policy Statement for an Azure API service operation? The "find-and...
How to dump (or encode, serialize) a Python object into a JSON string using json.dumps()? The json.d...
How to create a new API on the Publisher Dashboard of an Azure API Management Service? If you are ne...
How to add request body examples to my Azure API operation to make it more user friendly? If you hav...
How to run PowerShell Commands in Dockerfile to change Windows Docker images? When building a new Wi...